g2bAPI Reference
Git Hub

Create a GitHub install session

Creates a short-lived, single-use GitHub App installation URL for the native app.

POST
/v1/github/install-session

Creates a short-lived, single-use GitHub App installation URL for the native app.

Authorization

bearerAuth
AuthorizationBearer <token>

Create an API key in g2b Settings, then send it as a Bearer token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/github/install-session" \  -H "Content-Type: application/json" \  -d '{    "return_to": "string"  }'
{  "install_url": "http://example.com",  "expires_at": "2019-08-24T14:15:22Z"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": "Unauthorized"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}